Bug 1020486 - glibc getnameinfo call fails when many PTR records are associated with an IP
glibc getnameinfo call fails when many PTR records are associated with an IP
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Siddhesh Poyarekar
Arjun Shankar
Depends On:
Blocks: 1049888
  Show dependency treegraph
Reported: 2013-10-17 14:37 EDT by Blake
Modified: 2016-11-24 07:11 EST (History)
9 users (show)

See Also:
Fixed In Version: glibc-2.5-121
Doc Type: Bug Fix
Doc Text:
The getnameinfo function would incorrectly fail on a reverse lookup when there are a large number of PTR records are associated with the IP address being looked up. With this fix, getnameinfo now correctly returns one of the PTR records as the response.
Story Points: ---
Clone Of:
Last Closed: 2014-09-15 20:25:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
getnameinfo.c from Postfix source (2.27 KB, text/x-csrc)
2013-10-17 14:37 EDT, Blake
no flags Details

  None (edit)
Description Blake 2013-10-17 14:37:16 EDT
Created attachment 813492 [details]
getnameinfo.c from Postfix source

Description of problem:
The glibc function call getnameinfo fails when the DNS response exceeds ~ 1024 bytes. 

It appears this was fixed upstream in early 2008:
And was reported to Fedora, although never backported to RHEL:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Compile and run the attached getnameinfo.c program (or grab it from postfix source)
2. Query an IP with 100+ PTR records

Actual results:
getnameinfo Name or service not known

Expected results:
Information about any one of the valid PTR records should be displayed.
(The below is from an CentOS 6 box with glibc-2.12-1.107.el6.x86_64)
Hostname:       ms1.fpwmetlife.com

Additional info:
I was hoping the patch for this issue would be backported to RHEL 5.
Comment 1 Carlos O'Donell 2013-10-17 15:26:49 EDT
Thanks for submitting this issue. We'll consider this bug while we scope issues to fix for the next release.
Comment 3 Jeff Law 2013-11-26 11:36:54 EST
Just an FYI from the planning call.  This will be ack'd by PM and is expected
to be within QE capacity for RHEL 5.11.
Comment 4 RHEL Product and Program Management 2014-01-22 11:24:01 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 8 errata-xmlrpc 2014-09-15 20:25:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.